--Readme/endnotes are at the bottom. 

 -- Rocket Silo Changes
	bobmods.lib.replace_recipe_item("rocket-silo", "processing-unit", "advanced-processing-unit") --dont skimp on launch circuits, use the best!
	bobmods.lib.replace_recipe_item("rocket-silo", "steel-plate", "tungsten-plate") --stronger rocket base (highest melting point of all elements)
	bobmods.lib.replace_recipe_item("rocket-silo", "pipe", "tungsten-pipe") --stronger fuel/exhaust/whateva pipes (highest melting point of all elements)
 	-- Add new rocket/satellite ingredients' required techs to rocket silo tech prereqs
	data.raw.technology["rocket-silo"].prerequisites = { "tungsten-processing", "rocket-speed-5", "bob-electric-energy-accumulators-4", "speed-module-6" }

 -- Rocket Part Changes
    --low density structure
	bobmods.lib.replace_recipe_item("low-density-structure", "steel-plate", "titanium-plate") --titanium is lighter/stronger
	bobmods.lib.replace_recipe_item("low-density-structure", "copper-plate", "steel-plate") --steel is lighter/stronger
      	bobmods.lib.remove_recipe_item ("low-density-structure", "plastic-bar") --more plastic, cuz why not
      	bobmods.lib.add_recipe_item("low-density-structure", {"plastic-bar", 10})
    --rocket fuel (and very optional overhaul/balance changes to oil-related recipes)
	--liquids refuse to add because this item is hand craftable I believe, so throwing some error. Considered fixing it, but making you bottle (for now? It is harder... ^^)
	bobmods.lib.add_recipe_item("rocket-fuel", { "hydrogen-canister", amount = 3 }) --use liquid/solid/gas fuel mix for multistage liftoff (and to be a pain)
	bobmods.lib.add_recipe_item("rocket-fuel", { "oxygen-canister", amount = 3 }) --I did say a fuel mix...	
	bobmods.lib.add_recipe_item("rocket-fuel", { "nitrogen-canister", amount = 1 }) --For the verniers.
	bobmods.lib.add_new_recipe_item("rocket-fuel", { "liquid-fuel-canister", amount = 3 }) --Just for fun, and to give light oil more use (or petroleum any use if overhaul tweaks below are enabled.) 	
 	--Optional upcoming Bobs Overhaul changes below (disabled by default for now, cuz I don't wanna change my setup hehe)
      	--bobmods.lib.replace_recipe_item("liquid-fuel", "light-oil", "petroleum-gas") -- because petroleum = liquid fuel, not unrefined light oil (just ask your car)
      	--bobmods.lib.replace_recipe_item("plastic-bar", "petroleum-gas", "heavy-oil") -- balance for above, more realism (bob's overhaul plans)
      	--bobmods.lib.replace_recipe_item("lubricant", "heavy-oil", "light-oil") -- balance for above, more realism (bob's overhaul plans)

    --rocket control
	bobmods.lib.replace_recipe_item("rocket-control-unit", "processing-unit", "advanced-processing-unit") --dont be cheap, the old ones don't even have a cpu!
      	bobmods.lib.add_recipe_item("rocket-control-unit", {"silver-zinc-battery", 1}) --guessing we might want power for rocket control, the alternative sounds bad ^^ 
	--change to raw-speed-module-6 or add another recipe for it? may not be enabled for all users, so check settings: (comment top block out to always use normal modules) 
	--if bobmods.settings.modules.EnableMergedModules or bobmods.settings.modules.EnableRawSpeedModules then
	if data.raw.item["raw-speed-module-6"] ~= nil then
		bobmods.lib.replace_recipe_item("rocket-control-unit", "speed-module", "raw-speed-module-6") --go faster with no extra drain (get high faster)
	else 
		bobmods.lib.replace_recipe_item("rocket-control-unit", "speed-module", "speed-module-6") --moar speed, cuz rockets gotta go fast
      		bobmods.lib.add_recipe_item("rocket-control-unit", {"effectivity-module-6", 1}) --make the batteries last, cuz space is super high 
	end

 -- Satellite Changes
	bobmods.lib.replace_recipe_item("satellite", "processing-unit", "advanced-processing-unit") --dont be cheap, the old ones don't even have a cpu!
	bobmods.lib.replace_recipe_item("satellite", "solar-panel", "solar-panel-small-3") --smaller, but better. what's not to like?
	bobmods.lib.replace_recipe_item("satellite", "basic-accumulator", "large-accumulator-3") --save all that panel power!
	--check for extrachests radars, if we see them then require the best one ofc >:D
	if data.raw.item["radar-mk5"] ~= nil then
		bobmods.lib.replace_recipe_item("satellite", "radar", "radar-mk5") --scan more... stuff? idk
	end
      	bobmods.lib.remove_recipe_item ("satellite", "rocket-fuel") --silly satellite, you're already riding a rocket full of fuel! 
		--(or does it actually need its own rocket fuel for angle adjusting boosters? not sure about this tbh...)
		
--Readme/End Notes: 

--Thanks to bobingabout who of course made this mod a possibility in the first place! Hopefully he approves of these changes and integrates them into his upcoming overhaul mod XD

--Config steps: Comment out any line (like these are, with "--") to disable that change. Yeah I'm too lazy for a config file, deal with it XD
--Or feel free to make any other changes to your liking! MIT license and all that, so if you want to do anything, just http://i.imgur.com/oiY2JlF.gif
--Enjoy, 
--SkyFyre420
